package com.fs.qw.service;

import com.fs.qw.domain.QwSession;

import java.util.List;

/**
 * 企微会话Service接口
 *
 * @author fs
 * @date 2024-12-17
 */
public interface IQwSessionService
{
    /**
     * 查询企微会话
     *
     * @param sessionId 企微会话主键
     * @return 企微会话
     */
    public QwSession selectQwSessionBySessionId(Long sessionId);

    /**
     * 查询企微会话列表
     *
     * @param qwSession 企微会话
     * @return 企微会话集合
     */
    public List<QwSession> selectQwSessionList(QwSession qwSession);

    /**
     * 新增企微会话
     *
     * @param qwSession 企微会话
     * @return 结果
     */
    public int insertQwSession(QwSession qwSession);

    /**
     * 修改企微会话
     *
     * @param qwSession 企微会话
     * @return 结果
     */
    public int updateQwSession(QwSession qwSession);

    /**
     * 批量删除企微会话
     *
     * @param sessionIds 需要删除的企微会话主键集合
     * @return 结果
     */
    public int deleteQwSessionBySessionIds(Long[] sessionIds);

    /**
     * 删除企微会话信息
     *
     * @param sessionId 企微会话主键
     * @return 结果
     */
    public int deleteQwSessionBySessionId(Long sessionId);
}
